Name:		mspdebug
Version:	0.23
Release:	6%{?dist}
Summary:	Debugger and gdb proxy for MSP430 MCUs
Group:		Development/Tools
License:	GPLv2+
URL:		http://dlbeer.co.nz/mspdebug/
Source0:	https://github.com/dlbeer/mspdebug/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libusb-devel
BuildRequires:	readline-devel

%description
A a free debugger for use with MSP430 MCUs. It supports FET430UIF,
eZ430, RF2500 and TI Chronos devices. It can be used as a proxy for
gdb or as an independent debugger with support for programming,
disassembly and reverse engineering.

%prep
%setup -qn %{name}-%{version}

%build
# add -DDEBUG_GDB to CFLAGS for gdb debugging output
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" \
     LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} INSTALL="install -p" \
     LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/mspdebug
%{_mandir}/man1/mspdebug.1*
%{_libdir}/mspdebug

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.23-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.23-5
- Rebuild for readline 7.x

* Thu Feb 04 2016 Rob Spanton <rob@robspanton.com>
- Update URL and source locations

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Rob Spanton <rob@robspanton.com>
- Upgrade to 0.23

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Dec 14 2013 Rob Spanton <rspanton@zepler.net> - 0.22-1
- Update to 0.22
- Remove missing includes patch now that it\'s upstream

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 06 2012 Rob Spanton <rspanton@zepler.net> - 0.21-2
- Patch missing includes in to fix build

* Thu Nov 29 2012 Rob Spanton <rspanton@zepler.net> - 0.21-1
- Upgrade to 0.21

* Tue Aug 14 2012 Rob Spanton <rspanton@zepler.net> - 0.20-1
- Upgrade to 0.20

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Rob Spanton <rspanton@zepler.net> - 0.19-1
- Bump up to 0.19

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Rob Spanton <rspanton@zepler.net> - 0.18-1
- Bump up to 0.18
- Include new firmware file in %%files

* Tue Aug 30 2011 Rob Spanton <rspanton@zepler.net> - 0.17-1
- Bump up to 0.17

* Wed Jul 27 2011 Rob Spanton <rspanton@zepler.net> - 0.16-1
- Bump up to 0.16

* Tue Apr 19 2011 Rob Spanton <rspanton@zepler.net> - 0.15-1
- Bump up to 0.15

* Mon Feb 14 2011 Rob Spanton <rspanton@zepler.net> - 0.14-2
- Bump up to 0.14

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Rob Spanton <rspanton@zepler.net> - 0.13-1
- Bump up to 0.13

* Sat Oct 12 2010 Rob Spanton <rspanton@zepler.net> - 0.12-1
- Bump up to 0.12

* Sat Oct 02 2010 Rob Spanton <rspanton@zepler.net - 0.11-1
- Bump up to 0.11

* Thu Aug 19 2010 Till Maas <opensource@till.name> - 0.10-2
- Do not strip binary in install (RH 625501)
- simplify %%setup
- use %%{version} in Source0

* Tue Aug 17 2010 Rob Spanton <rspanton@zepler.net> - 0.10-1
- Bump up to 0.10

* Sat Jul 03 2010 Till Maas <opensource@till.name> - 0.9-2.0.20100702git74a11c1a
- Use "install -p"
- remove unneeded mkdir
- adjust license tag
- include AUTHORS and COPYING in as %%doc
- set LDFLAGS=$RPM_OPT_FLAGS
- remove -DDEBUG_GDB from CFLAGS
- add patch to support DESTDIR

* Fri Jul 02 2010 Till Maas <opensource@till.name> - 0.9-1.0.20100702git74a11c1a
- add VCS: comment
- Use snapshot with included patches and multiple breakpoint support

* Thu Jul 01 2010 Till Maas <opensource@till.name> - 0.8-2.5
- Substitute Patch1 with a new one to increase more buffers

* Thu Jul 01 2010 Till Maas <opensource@till.name> - 0.8-2.4
- Add -DDEBUG_GDB to CFLAGS

* Thu Jul 01 2010 Till Maas <opensource@till.name> - 0.8-2.3
- Add patch to increase gdb command buffer?

* Wed Jun 30 2010 Till Maas <opensource@till.name> - 0.8-2.2
- make failure to set VCC non fatal
- Use %%{_bindir} in %%files
- Adjust Summary

* Mon Jun 28 2010 Till Maas <opensource@till.name> - 0.8-2.1
- Add readline-devel BR
- Respect %%optflags
- remove uneeded cds / simplify %%setup
- use globbing for manpage in %%files

* Sat May 29 2010 Rob Spanton rspanton@zepler.net 0.8-2
- Write description of mspdebug.

* Sat May 22 2010 Rob Spanton rspanton@zepler.net 0.8-1
- Update to 0.8.

* Tue May 11 2010 Rob Spanton rspanton@zepler.net 0.7-1
- Initial 0.7 release.
